<?php
/**
 * Scroll article excerpt
 *
 * @package Scroll article excerpt
 * @subpackage Scroll article excerpt
 * @version   3.7
 * @author    Gopi Ramasamy
 * @copyright Copyright (C) 2010 - 2017 www.gopiplus.com, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 */
 
// -------------------------------------------------------------------------------------------------------------------
// Lide Demo: http://www.gopiplus.com/extensions/2011/09/scroll-article-excerpt-joomla-module/
// Technical Support: http://www.gopiplus.com/extensions/2011/09/scroll-article-excerpt-joomla-module/
// -------------------------------------------------------------------------------------------------------------------

// no direct access
defined('_JEXEC') or die;

$sae_height = (int) $params->get('sae_height', 100);
$sae_display = (int) $params->get('sae_display', 5);
$sae_excerpt = (int) $params->get('sae_excerpt', 150);
if(!is_numeric($sae_height)) { $sae_height = 30; }
if(!is_numeric($sae_display)) { $sae_display = 5; }
if(!is_numeric($sae_excerpt)) { $sae_excerpt = 150; }

$sae_html = "";
$sae_x = "";

if ( ! empty($items) ) 
{
	$sae_count = 0;
	foreach ( $items as $item ) 
	{
		$sae_title =  addslashes($item->title);
		$sae_dp_clean_text =  addslashes($item->text);
		$sae_link = $item->links;
		
		$dis_height = $sae_height ."px";
		$sae_html = $sae_html . "<div class='saecrs_div' style='height:$dis_height;padding:2px 0px 2px 0px;'>"; 
		$sae_html = $sae_html . "<div class='sae_link'><a href='$sae_link'>$sae_title</a></div>";
		$sae_html = $sae_html . "<div class='sae_excerpt'>$sae_dp_clean_text...</div>";
		$sae_html = $sae_html . "</div>";
		
		$sae_x = $sae_x . "saecrs_array[$sae_count] = '<div class=\'saecrs_div\' style=\'height:$dis_height;padding:2px 0px 2px 0px;\'><div class=\'sae_link\'><a href=\'$sae_link\'>$sae_title</a></div><div class=\'sae_excerpt\'>$sae_dp_clean_text...</div></div>'; ";	
		$sae_count++;
	}
}
$sae_height = $sae_height + 4;
if($sae_count >= $sae_display)
{
	$sae_count = $sae_display;
	$sae_newheight = ($sae_height  * $sae_display);
}
else
{
	$sae_count = $sae_count;
	$sae_newheight = ($sae_count * $sae_height );
}
$ivrss_height1 = $sae_height ."px";
?>
<div style="padding-top:8px;padding-bottom:8px;">
  <div style="text-align:left;vertical-align:middle;text-decoration: none;overflow: hidden; position: relative; margin-left: 1px; height: <?php echo $ivrss_height1; ?>;" id="saecrs_Holder"><?php echo $sae_html; ?></div>
</div>
<script type="text/javascript">
var saecrs_array	= new Array();
var saecrs_obj	= '';
var saecrs_scrollPos 	= '';
var saecrs_numScrolls	= '';
var saecrs_heightOfElm = '<?php echo $sae_height; ?>';
var saecrs_numberOfElm = '<?php echo $sae_count; ?>';
var saecrs_scrollOn 	= 'true';
function saevsra_createscroll() 
{
	<?php echo $sae_x; ?>
	saecrs_obj	= document.getElementById('saecrs_Holder');
	saecrs_obj.style.height = (saecrs_numberOfElm * saecrs_heightOfElm) + 'px';
	saevsra_content();
}
</script>
<script type="text/javascript">
saevsra_createscroll();
</script>